<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Geocode</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.util, class: Geocode">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":41,"i3":9,"i4":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Geocode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.util</a></div>
<h1 title="Class Geocode" class="title">Class Geocode</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.ici.dataImporter.util.Geocode</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Geocode</span>
extends java.lang.Object</pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Geocode</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t6" class="table-tab" onclick="show(32);">Deprecated Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#geocodeAdresseDataGouv(java.lang.String%5B%5D)">geocodeAdresseDataGouv</a></span>&#8203;(java.lang.String[]&nbsp;adresseInfos)</code></th>
<td class="col-last">
<div class="block">https://geo.api.gouv.fr/adresse Utilise la BAN.</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#geocodeCSVAdresseDataGouv(java.io.File,java.io.File)">geocodeCSVAdresseDataGouv</a></span>&#8203;(java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile)</code></th>
<td class="col-last">
<div class="block">https://geo.api.gouv.fr/adresse .</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#geocodePelias(java.lang.String%5B%5D)">geocodePelias</a></span>&#8203;(java.lang.String[]&nbsp;adresseInfos)</code></th>
<td class="col-last">
<div class="block"><span class="deprecated-label">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#reverseGeocodeAdresseDataGouv(java.lang.String,java.lang.String)">reverseGeocodeAdresseDataGouv</a></span>&#8203;(java.lang.String&nbsp;lat,
java.lang.String&nbsp;lon)</code></th>
<td class="col-last">
<div class="block">https://geo.api.gouv.fr/adresse Utilise la BAN.</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#reverseLambertGeocodeAdresseDataGouv(org.locationtech.jts.geom.Geometry)">reverseLambertGeocodeAdresseDataGouv</a></span>&#8203;(org.locationtech.jts.geom.Geometry&nbsp;g)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Geocode</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Geocode</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="reverseLambertGeocodeAdresseDataGouv(org.locationtech.jts.geom.Geometry)">
<h3>reverseLambertGeocodeAdresseDataGouv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">reverseLambertGeocodeAdresseDataGouv</span>&#8203;(<span class="parameters">org.locationtech.jts.geom.Geometry&nbsp;g)</span></div>
</section>
</li>
<li>
<section class="detail" id="geocodePelias(java.lang.String[])">
<h3>geocodePelias</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">geocodePelias</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;adresseInfos)</span>
                                        throws <span class="exceptions">java.io.IOException</span></div>
<div class="deprecation-block"><span class="deprecated-label">Deprecated.</span></div>
<div class="block">Trouver un service de démo car search.mapzen.com n'est plus dispo</div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="geocodeAdresseDataGouv(java.lang.String[])">
<h3>geocodeAdresseDataGouv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">geocodeAdresseDataGouv</span>&#8203;(<span class="parameters">java.lang.String[]&nbsp;adresseInfos)</span>
                                                 throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">https://geo.api.gouv.fr/adresse Utilise la BAN. Return [0] : score ; [1] long and [2] lat in WGS84 format</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>adresseInfos</code> - information on address stored such as <a href="../insee/SireneEntry.html#completeAddress"><code>SireneEntry.completeAddress</code></a></dd>
<dt>Returns:</dt>
<dd>the geojson file with point/infos about the geocoding</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading HTTP request</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="reverseGeocodeAdresseDataGouv(java.lang.String,java.lang.String)">
<h3>reverseGeocodeAdresseDataGouv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">reverseGeocodeAdresseDataGouv</span>&#8203;(<span class="parameters">java.lang.String&nbsp;lat,
java.lang.String&nbsp;lon)</span>
                                                        throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">https://geo.api.gouv.fr/adresse Utilise la BAN. Return [0] : score ; [1] long and [2] lat in WGS84 format</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lat</code> - latitude in WGS84</dd>
<dd><code>lon</code> - longitude in WGS84</dd>
<dt>Returns:</dt>
<dd>the geojson file with point/infos about the geocoding</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading HTTP request</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="geocodeCSVAdresseDataGouv(java.io.File,java.io.File)">
<h3>geocodeCSVAdresseDataGouv</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">geocodeCSVAdresseDataGouv</span>&#8203;(<span class="parameters">java.io.File&nbsp;inFile,
java.io.File&nbsp;outFile)</span>
                                                  throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">https://geo.api.gouv.fr/adresse . Géocode entièrement un fichier .csv. Plus rapide que le géocodage 1 by 1. Utilise la base adresse locale. \\FIXME not working (yet?). La
 requete suivante marche //curl -X POST -F data=@inFile -F columns=adresse -F columns=typeRue -F columns=numAdresse -F postcode=codPostal
 https://api-adresse.data.gouv.fr/search/csv/ > outFile</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>inFile</code> - </dd>
<dd><code>outFile</code> - </dd>
<dt>Returns:</dt>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading HTTP request</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Geocode.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
